import * as __WEBPACK_EXTERNAL_MODULE__application_Plugin_mjs__ from "../../application/Plugin.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__previewers_index_mjs__ from "./previewers/index.mjs";
class AttachmentPreviewPlugin extends __WEBPACK_EXTERNAL_MODULE__application_Plugin_mjs__.Plugin {
    async load() {
        this.app.AttachmentPreviewManager.add(__WEBPACK_EXTERNAL_MODULE__previewers_index_mjs__.imagePng);
        this.app.AttachmentPreviewManager.add(__WEBPACK_EXTERNAL_MODULE__previewers_index_mjs__.imagejpeg);
        this.app.AttachmentPreviewManager.add(__WEBPACK_EXTERNAL_MODULE__previewers_index_mjs__.imageSvg);
        this.app.AttachmentPreviewManager.add(__WEBPACK_EXTERNAL_MODULE__previewers_index_mjs__.fileDef);
        this.app.AttachmentPreviewManager.add(__WEBPACK_EXTERNAL_MODULE__previewers_index_mjs__.filePdf);
        this.app.AttachmentPreviewManager.add(__WEBPACK_EXTERNAL_MODULE__previewers_index_mjs__.fileXLS);
        this.app.AttachmentPreviewManager.add(__WEBPACK_EXTERNAL_MODULE__previewers_index_mjs__.fileXLSX);
        this.app.AttachmentPreviewManager.add(__WEBPACK_EXTERNAL_MODULE__previewers_index_mjs__.fileCSV);
    }
}
export { AttachmentPreviewPlugin };
